POST /api/public/organisations/sign-up
An organisation account: a company whose pot pays for its clients. Opening it accepts the organisation terms and the data processing agreement.
Surface: public. Who may call: public. Key: public.organisation.signUp.
Example request
curl -X POST https://caremcp-test.fly.dev/api/public/organisations/sign-up \
-H "Content-Type: application/json" \
-d '{"name":"Agent Heim","email":"ops@agentheim.com","password":"a long enough password","country":"SE","acceptTerms":true}'
Example input
{
"name": "Agent Heim",
"email": "ops@agentheim.com",
"password": "a long enough password",
"country": "SE",
"acceptTerms": true
}
Input schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 2,
"maxLength": 120
},
"email": {
"type": "string",
"maxLength": 200,
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"password": {
"type": "string",
"minLength": 10,
"maxLength": 200
},
"country": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"acceptTerms": {
"type": "boolean",
"const": true,
"description": "Accepts the Organisation terms at /organisation-terms (version 2026-09-28) and the Data processing agreement at /dpa (version 2026-09-28)."
}
},
"required": [
"name",
"email",
"password",
"country",
"acceptTerms"
]
}
Output schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"token": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"client",
"professional",
"organisation"
]
},
"id": {
"type": "string"
}
},
"required": [
"token",
"kind",
"id"
],
"additionalProperties": false
}